Get

[POST] .../v1/deliverycourier/get

Returns information about couriers. Use this method to retrieve courier reference records for delivery order assignment, dispatch screens and courier selectors. The response returns paged DeliveryCourier records with next_offset and total and supports filters id, name, description and last_update; ids and search as aliases. The caller must have courier select permission; missing body, denied access, invalid filters or sorting and persistent storage errors are returned as HTTP 200 ErrorResult business errors.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.
limit Int32 Optional Maximum number of records to return. The value is limited by server settings.
offset Int32 Optional Offset from the beginning of the result set.
search String Optional Search string for the name field.
sort_orders Array of DeliveryCourier_SortOrder Optional Output parameter sorting.

Filterable Fields

Field Type Description
description string
id int Courier IDs.
last_update int
name string

Sortable Fields

Field
description
id
last_update
name

Request Example

{
  "filters": [
    {
      "field": "name",
      "operator": "Like",
      "value": "Express"
    }
  ],
  "sort_orders": [
    {
      "column": "name",
      "direction": "ASC"
    }
  ],
  "limit": 50,
  "offset": 0
}

Response Parameters

Name Type Description
next_offset Int32 Offset for the next data page.
ok Boolean Indicates whether the request completed successfully.
result Array of DeliveryCourier Result array.
total Int64 Total number of result items.

Response Example

{
  "ok": true,
  "result": [
    {
      "id": 11,
      "name": "Express Courier",
      "description": "City courier service",
      "last_update": 1712345600
    }
  ],
  "next_offset": 0,
  "total": 1
}